resource_rules:
  issues:
    rules:
      - name: Unassign issues without a release milestone that are ready for development
        conditions:
          state: opened
          labels:
            - "group::security policies"
            - backend
            - "workflow::ready for development"
          ruby: resource[:assignees].present? && !milestone&.title&.match?(/\A\d+\.\d+\z/)
        actions:
          comment: |
            Hi #{build_mentions(resource[:assignees].map { |user| user['username']})},

            You have been unassigned from this issue because it's marked as ~"workflow::ready for development" but the milestone is not set to a release.

            This is done to indicate that this issue may be available for other contributors to work on.

            [Bot policy](https://gitlab.com/gitlab-org/quality/triage-ops/-/blob/master/policies/groups/gitlab-org/security-policies/remove-assignee.yml).

            /unassign #{build_mentions(resource[:assignees].map { |user| user['username']})}
      - name: Unassign issues without a release milestone that are in refinement
        conditions:
          state: opened
          labels:
            - "group::security policies"
            - backend
            - "workflow::refinement"
          ruby: resource[:assignees].present? && !milestone&.title&.match?(/\A\d+\.\d+\z/)
        actions:
          comment: |
            Removed assignee(s) because the issue is in ~"workflow::refinement" but the milestone is not set to a release.

            Unscheduled issues receive the least priority for refinement. Leaving them unassigned better communicates that they're not being actively worked on.

            [Bot policy](https://gitlab.com/gitlab-org/quality/triage-ops/-/blob/master/policies/groups/gitlab-org/security-policies/remove-assignee.yml).

            /unassign #{build_mentions(resource[:assignees].map { |user| user['username']})}
